API Referansi

BotLaunch API

BotLaunch REST API ile guclu entegrasyonlar olusturun. Bot'lar, kullanicilar, mesajlar ve daha fazlasina kapsamli dokumantasyon ve orneklerle tam erisim.

Temel URL
https://api.botlaunch.io
Surum
v1.0
Kimlik Dogrulama
JWT Bearer

Hizli Baslangic

BotLaunch API ile dakikalar icinde calismaya baslayin.

1. Yukleyin veya Test Edin

# Install the BotLaunch SDK
npm install @botlaunch/sdk

# Or use the REST API directly
curl -X GET "https://api.botlaunch.io/api/health" \
  -H "Content-Type: application/json"
bash

2. Kimlik Dogrulayin

// Authenticate and get an access token
const response = await fetch("https://api.botlaunch.io/api/auth/login", {
  method: "POST",
  headers: {
    "Content-Type": "application/json"
  },
  body: JSON.stringify({
    email: "your@email.com",
    password: "your-password"
  })
});

const { data } = await response.json();
console.log(data.accessToken);
javascript

3. API Cagrisi Yapin

// Make authenticated API calls
const bots = await fetch("https://api.botlaunch.io/api/bots", {
  headers: {
    "Authorization": "Bearer YOUR_ACCESS_TOKEN",
    "x-organization-id": "YOUR_ORG_ID"
  }
});

const { data } = await bots.json();
console.log(data); // Array of your bots
javascript

Yanit Formati

Tum API yanitlari tutarli bir JSON yapisini takip eder.

Basarili Yanit

{
  "data": {
    "id": "bot_123",
    "name": "My Bot",
    "status": "active"
  },
  "message": "Bot retrieved successfully"
}
json

Hata Yaniti

{
  "error": "Unauthorized",
  "statusCode": 401,
  "message": "Invalid or expired token"
}
json

Sayfalanmis Yanit

{
  "data": [
    { "id": "bot_1", "name": "Bot 1" },
    { "id": "bot_2", "name": "Bot 2" }
  ],
  "total": 25,
  "page": 1,
  "limit": 10
}
json

Hiz Sinirlamasi

API istekleri, adil kullanim ve platform kararliligi saglamak icin hiz sinirlamasina tabidir.

PlanIstek/DkIstek/GunAni Yuk Siniri
Free601,00010
Starter30010,00050
Professional1,00050,000100
Business5,000Unlimited500
EnterpriseCustomUnlimitedCustom

Hiz Siniri Basliklari

Check X-RateLimit-Remaining and X-RateLimit-Reset headers in API responses to monitor your usage.